package com.bwie.system.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.system.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.system.controller
 * @Project：test_7.29
 * @name：UserController
 * @Date：2024/7/29 8:50
 */
@RestController
@RequestMapping("/user")
public class UserController {

@Autowired
    private UserService userService;

@PostMapping("list")
    public Result<List<User>> list(){

List<User> list = userService.list();

    return Result.success(list);
}

@PostMapping("/delById/{uid}")
    public Result delById(@PathVariable Integer uid){

       userService.delById(uid);

    return Result.success();
}




}
